Package org.eclipse.graphiti.ui.internal.util.draw2d

# Class GFCornerHandle

java.lang.Object
org.eclipse.draw2d.Figure
org.eclipse.gef.handles.AbstractHandle
org.eclipse.graphiti.ui.internal.util.draw2d.GFCornerHandle

All Implemented Interfaces:
  `org.eclipse.draw2d.AncestorListener`, `org.eclipse.draw2d.IFigure`, `org.eclipse.gef.Handle`

public class GFCornerHandle extends org.eclipse.gef.handles.AbstractHandle
A rectangular handle which is placed at a corner or at a side of a shape edit-part. It can be used to move or resize the shape edit-part.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure

`org.eclipse.draw2d.Figure.FigureIterator, org.eclipse.draw2d.Figure.IdentitySearch, org.eclipse.draw2d.Figure.ReverseFigureChildrenIterator`

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.AncestorListener

`org.eclipse.draw2d.AncestorListener.Stub`

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`org.eclipse.draw2d.IFigure.NoInsets`

## Field Summary

### Fields inherited from class org.eclipse.draw2d.Figure

`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

## Constructor Summary

Constructors
Constructor
Description
`GFCornerHandle(org.eclipse.gef.GraphicalEditPart owner, IConfigurationProviderInternal configurationProvider, int location, int supportedResizeDirections, boolean movable, IShapeSelectionInfo shapeSelectionInfo)`
Creates a new GFCornerHandle.

## Method Summary

Modifier and Type
Method
Description
`protected org.eclipse.gef.DragTracker`
`createDragTracker()`
Overridden to create a `ResizeTracker`, if resizing is supported, or to create a `DragEditPartsTracker`, if moving is supported.
`org.eclipse.swt.graphics.Color`
`getBG_COLOR_PRIMARY_NOT_RESIZABLE()`
`org.eclipse.swt.graphics.Color`
`getBG_COLOR_PRIMARY_RESIZABLE()`
`org.eclipse.swt.graphics.Color`
`getBG_COLOR_SECONDARY_NOT_RESIZABLE()`
`org.eclipse.swt.graphics.Color`
`getBG_COLOR_SECONDARY_RESIZABLE()`
`org.eclipse.swt.graphics.Color`
`getFG_COLOR_NOT_RESIZABLE()`
`org.eclipse.swt.graphics.Color`
`getFG_COLOR_PRIMARY_RESIZABLE()`
`org.eclipse.swt.graphics.Color`
`getFG_COLOR_SECONDARY_RESIZABLE()`
`void`
`paintFigure(org.eclipse.draw2d.Graphics g)`
Paints a rectangular handle which is placed at a corner or at a side of the shape edit-part.

### Methods inherited from class org.eclipse.gef.handles.AbstractHandle

`addNotify, ancestorAdded, ancestorMoved, ancestorRemoved, getAccessibleLocation, getDragCursor, getDragTracker, getLocator, getOwner, getOwnerFigure, removeNotify, setDragCursor, setDragTracker, setLocator, setOwner, validate`

### Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getChildrenRevIterable, getClientArea, getClientArea, getClippingStrategy, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getListenersIterable, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, optimizeClip, paint, paintBorder, paintChildren, paintClientArea, primTranslate, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setClippingStrategy, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GFCornerHandle

public GFCornerHandle(org.eclipse.gef.GraphicalEditPart owner, IConfigurationProviderInternal configurationProvider, int location, int supportedResizeDirections, boolean movable, IShapeSelectionInfo shapeSelectionInfo)
Creates a new GFCornerHandle.

Parameters:
  `owner` - The shape edit-part associated with this handle.
  `configurationProvider` - The configuration provider, which can be used to access the environment.
  `location` - The location at which to locate the handle. If the location is part of the supported resize directions, then resizing is supported for this handle.
  `supportedResizeDirections` - The supported resize directions (see `ResizableEditPolicy.getResizeDirections()`)
  `movable` - Indicates, if moving the shape edit-part via this handle is supported.
  `shapeSelectionInfo` -

## Method Details

### getFG_COLOR_PRIMARY_RESIZABLE

public org.eclipse.swt.graphics.Color getFG_COLOR_PRIMARY_RESIZABLE()

Returns:
  the fG_COLOR_PRIMARY_RESIZABLE

### getFG_COLOR_SECONDARY_RESIZABLE

public org.eclipse.swt.graphics.Color getFG_COLOR_SECONDARY_RESIZABLE()

Returns:
  the fG_COLOR_SECONDARY_RESIZABLE

### getFG_COLOR_NOT_RESIZABLE

public org.eclipse.swt.graphics.Color getFG_COLOR_NOT_RESIZABLE()

Returns:
  the fG_COLOR_NOT_RESIZABLE

### getBG_COLOR_PRIMARY_RESIZABLE

public org.eclipse.swt.graphics.Color getBG_COLOR_PRIMARY_RESIZABLE()

Returns:
  the bG_COLOR_PRIMARY_RESIZABLE

### getBG_COLOR_SECONDARY_RESIZABLE

public org.eclipse.swt.graphics.Color getBG_COLOR_SECONDARY_RESIZABLE()

Returns:
  the bG_COLOR_SECONDARY_RESIZABLE

### getBG_COLOR_PRIMARY_NOT_RESIZABLE

public org.eclipse.swt.graphics.Color getBG_COLOR_PRIMARY_NOT_RESIZABLE()

Returns:
  the bG_COLOR_PRIMARY_NOT_RESIZABLE

### getBG_COLOR_SECONDARY_NOT_RESIZABLE

public org.eclipse.swt.graphics.Color getBG_COLOR_SECONDARY_NOT_RESIZABLE()

Returns:
  the bG_COLOR_SECONDARY_NOT_RESIZABLE

### createDragTracker

protected org.eclipse.gef.DragTracker createDragTracker()
Overridden to create a `ResizeTracker`, if resizing is supported, or to create a `DragEditPartsTracker`, if moving is supported.

Specified by:
  `createDragTracker` in class `org.eclipse.gef.handles.AbstractHandle`

### paintFigure

public void paintFigure(org.eclipse.draw2d.Graphics g)
Paints a rectangular handle which is placed at a corner or at a side of the shape edit-part.

Overrides:
  `paintFigure` in class `org.eclipse.draw2d.Figure`